aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Sokolovsky <paul.sokolovsky@linaro.org>2016-05-19 20:57:11 +0300
committerPaul Sokolovsky <paul.sokolovsky@linaro.org>2016-05-19 22:04:57 +0300
commita8d64983280197f49b2961f09093925bf253ffa9 (patch)
tree9e321dd1d53ef8bcd3a0ec23a997dee81ea2d453
parent909611172fd7aca4ddb1729f886cc3bd83f012b5 (diff)
downloadlinaro-git-tools-a8d64983280197f49b2961f09093925bf253ffa9.tar.gz
grok-force-sync: "Executable doc" on how to force grokmirror resync.
Change-Id: Ia5e788f00231b04549c9fae4e0efaa5c4f0ea0b6
-rwxr-xr-xgrok-force-sync24
1 files changed, 24 insertions, 0 deletions
diff --git a/grok-force-sync b/grok-force-sync
new file mode 100755
index 0000000..9ecde59
--- /dev/null
+++ b/grok-force-sync
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Use this script as a stop-gap measure when a mis-syncronization detected
+# between a master git server (one of *git-us.linaro.org) and Geo-mirrors.
+# This shouls trigger complete sync, and the expected outcome is that
+# everything is synced within few minutes (assuming not too big discrepancies).
+# To sync a specific project pass it as a param.
+#
+
+if [ "$(whoami)" != "git" ]; then
+ echo Should be run as \'git\' user
+ exit 1
+fi
+
+extra=""
+if [ "$1" != "" ]; then
+ extra="-n $1"
+fi
+
+
+cd /srv/repositories
+/usr/local/bin/grok-manifest \
+ -m /var/www/android-git.linaro.org/manifest.js.gz \
+ -t /srv/repositories/ -v $extra